Index: frontend/src/Pages/HomePage.js
===================================================================
--- frontend/src/Pages/HomePage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/HomePage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,51 @@
+import React from "react";
+import Navigation from '../Components/Layout/Navbar/Navigation';
+import 'bootstrap/dist/css/bootstrap.css';
+import 'bootstrap/dist/js/bootstrap.js';
+import HomeCarousel from '../Components/Layout/CarouselHome/Carousel';
+import { Card, Container } from 'react-bootstrap';
+import TabComponent from '../Components/Tab/Tab';
+import Offers from '../Components/Layout/Offers/Offers';
+import MostVisitedBar from '../Components/MostVisited/MostVisitedBar';
+import MostPopularRoutesCont from '../Components/MostPopularRoutes/MostPopularRoutesCont';
+import BecomeAHost from "../Components/BecomeAHost/BecomeAHost"
+
+const HomePage = () => {
+
+    document.body.style.backgroundColor="white"
+
+  return (
+    <>
+      <Navigation mt="0"/>
+      <Container fluid="lg" className="rounded-pill">
+        <HomeCarousel className="rounded-pill" />
+        <Container
+          style={{
+            maxWidth: "80%",
+            marginTop: "-5%",
+            zIndex: "10000000",
+            position: "relative",
+          }}
+          className="rounded-5"
+          fluid
+        >
+          <TabComponent className="rounded-5 shadow"></TabComponent>
+        </Container>
+      </Container>
+      <Container className="mt-5 mb-5">
+        <Offers></Offers>
+      </Container>
+      <Container className="my-5">
+        <MostVisitedBar></MostVisitedBar>
+      </Container>
+      <Container>
+        <MostPopularRoutesCont></MostPopularRoutesCont>
+      </Container>
+      <Container className="my-5">
+        {/*<BecomeAHost></BecomeAHost>*/}
+      </Container>
+    </>
+  );
+};
+
+export default HomePage;
Index: frontend/src/Pages/HotelDetailsPage.js
===================================================================
--- frontend/src/Pages/HotelDetailsPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/HotelDetailsPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,177 @@
+import React from "react";
+import LoginForm from "../Components/Login/LoginForm";
+import {Container, Row, Col, Form, FloatingLabel, Modal, Button} from "react-bootstrap";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import Carousel from "react-bootstrap/Carousel";
+import { useState } from "react";
+import DescriptionContainer from "../Components/HotelDetails/DescriptionContainer";
+import ReviewsCarousel from "../Components/HotelDetails/ReviewsCarousel";
+import RoomsTable from "../Components/HotelDetails/RoomsTable";
+import ContactBar from "../Components/HotelDetails/ContactBar";
+import { useLocation } from "react-router-dom";
+
+const HotelDetailsPage = (props) => {
+  document.body.style.backgroundColor = "white";
+
+  const [index, setIndex] = useState(0);
+
+  const location = useLocation();
+  const { data, from, to } = location.state;
+  console.log(location)
+  console.log("DETAILS ")
+  console.log(data)
+
+  const handleSelect = (selectedIndex) => {
+    setIndex(selectedIndex);
+  };
+
+  return (
+    <>
+      <Navigation />
+      <Container className="my-3">
+        <Row className="d-flex justify-content-between">
+          <Col style={{textAlign: "left"}}>
+            <h2 style={{color: "#159895"}}>{data.hotelName}</h2>
+          </Col>
+          <Col>
+            <Container>
+              <Row className="mb-4">
+                <Col style={{textAlign: "right"}}>
+                  <span
+                    style={{
+                      backgroundColor: "#159895",
+                      padding: "0.75em",
+                      fontWeight: "bold",
+                      fontSize: "1.25rem",
+                      borderRadius: "0.75em",
+                      color: "white",
+                    }}
+                  >
+                    {data.averageScore.toFixed(1)}
+                  </span>
+                </Col>
+              </Row>
+            </Container>
+          </Col>
+        </Row>
+        <Row>
+          <Col
+            className="p-3 rounded-4"
+            sm={3}
+            style={{ backgroundColor: "#002B5B" }}
+          >
+            <Row>
+              <h3 className="mb-5 mt-3" style={{color: "white"}}>Критериуми од пребарувањето</h3>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="text"
+                  placeholder="Каде ќе патувате?:"
+                  id="location"
+                  value={data.hotelLocation}
+                ></Form.Control>
+                <label style={{left: "10px"}} htmlFor="location">Локација:</label>
+              </Form.Floating>
+            </Row>
+            <Row>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="date"
+                  placeholder="Датум на пристигнување:"
+                  id="dateFrom"
+                  value={from}
+                ></Form.Control>
+                <label style={{left: "10px"}} htmlFor="dateFrom">Датум на пристигнување:</label>
+              </Form.Floating>
+            </Row>
+            <Row>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="date"
+                  placeholder="Датум на заминување:"
+                  id="dateTo"
+                  value={to}
+                ></Form.Control>
+                <label style={{left: "10px"}} htmlFor="dateTo">Датум на заминување:</label>
+              </Form.Floating>
+            </Row>
+            <Row>
+              <Form.Floating className="mb-3">
+                <Form.Control
+                  size="md"
+                  type="number"
+                  placeholder="Број на гости:"
+                  id="floatingPassengers"
+                ></Form.Control>
+                <label style={{left: "10px"}} htmlFor="floatingPassengers">Број на гости:</label>
+              </Form.Floating>
+            </Row>
+          </Col>
+          <Col>
+            <Container>
+              <Row>
+                <Carousel activeIndex={index} onSelect={handleSelect}>
+                  {data.images.map((image) => {
+                    let link = image.url;
+                    console.log("SLIKATAAA")
+                    console.log(image)
+                    if (image.url.includes('Desktop')) {
+                      link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
+                    }
+                    return (
+                        <Carousel.Item>
+                          <img
+                              className="d-block w-100 h-400 rounded-5"
+                              src={link}
+                              alt="First slide"
+                              style={{ height: "50vh" }}
+                          />
+                        </Carousel.Item>
+                    )
+                  })}
+                  <Carousel.Item>
+                    <img
+                      className="d-block w-100 h-400 rounded-5"
+                      src="https://www.kovz.gov.mk/articleImage.img/2022/08/05/JPG_010_-_Jovan_Kaneo_church_in_Ohrid__panorama-min.jpg"
+                      alt="First slide"
+                      style={{ height: "50vh" }}
+                    />
+                  </Carousel.Item>
+                  <Carousel.Item>
+                    <img
+                      className="d-block w-100 rounded-5"
+                      src="https://macedonia-timeless.com/wp-content/uploads/2018/08/dojran-ezero.jpg"
+                      alt="Second slide"
+                      style={{ height: "50vh" }}
+                    />
+                  </Carousel.Item>
+                  <Carousel.Item>
+                    <img
+                      className="d-block w-100 rounded-5"
+                      src="https://i.imgur.com/NFlxbqY.jpg"
+                      alt="Third slide"
+                      style={{ height: "50vh" }}
+                    />
+                  </Carousel.Item>
+                </Carousel>
+              </Row>
+              <Row>
+                <Container></Container>
+              </Row>
+            </Container>
+          </Col>
+        </Row>
+        <Row className="mb-5">
+          <Col className="col-md-8"><DescriptionContainer data={data.hotelDescripiton} type="hotel"></DescriptionContainer></Col>
+          <Col className="col-md-4"><ReviewsCarousel reviews={data.hotelReviews}></ReviewsCarousel></Col>
+        </Row>
+        <Row className="mb-3"><RoomsTable from={from} to={to} data={data.hotelRooms}></RoomsTable></Row>
+        <Row><ContactBar></ContactBar></Row>
+      </Container>
+    </>
+  );
+};
+
+export default HotelDetailsPage;
Index: frontend/src/Pages/HotelEditPage.js
===================================================================
--- frontend/src/Pages/HotelEditPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/HotelEditPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,61 @@
+import React, {useState} from "react";
+import {Container, Col, Row, Image} from "react-bootstrap";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import ResourcesTab from "../Components/Resources/ResourcesTab";
+import HotelEditTab from "../Components/HotelEdit/HotelEditTab";
+import useGet from "../Components/Hooks/useGet";
+import {Navigate, useParams} from "react-router-dom";
+import {useAuth} from "../Components/Context/AuthContext";
+
+
+const HotelEditPage = () => {
+
+    const params = useParams();
+    const link = "/hotel/list/" + params.hotelId;
+    const [changed, setChanged] = useState(0)
+    const {data, setData, isLoading, getData} = useGet(link, changed);
+
+
+    console.log(data)
+    return (
+        <>
+            <Navigation/>
+            {!isLoading && <Container>
+                <Row className="mb-5">
+                    <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
+                </Row>
+                <Row className="mb-5">
+                    <Col>
+                        <Row className="d-flex mb-3">
+                            <Col
+                                className="d-flex justify-content-center"
+                                style={{maxWidth: "30%"}}
+                            >
+                                <Image
+                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                                    style={{
+                                        height: "5em",
+                                        borderRadius: "50%",
+                                        maxWidth: "100%",
+                                    }}
+                                    className="m-auto"
+                                ></Image>
+                            </Col>
+                            <Col className="d-flex justify-content-center">
+                                <Container className="pt-2" style={{textAlign: "left"}}>
+                                    <h4>{data.hotelName}</h4>
+                                    <h5>{data.hotelLocation}</h5>
+                                </Container>
+                            </Col>
+                        </Row>
+                    </Col>
+                </Row>
+                <Row>
+                    <HotelEditTab refresh={setChanged} displayRoom={data}/>
+                </Row>
+            </Container>}
+        </>
+    );
+};
+
+export default HotelEditPage;
Index: frontend/src/Pages/LoginErrorPage.js
===================================================================
--- frontend/src/Pages/LoginErrorPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/LoginErrorPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,59 @@
+import React, { useEffect } from "react";
+import { useState } from "react";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import { Row, Col, Container, Button, Modal } from "react-bootstrap";
+import { IoBusinessSharp } from "react-icons/io5";
+import RegisterBusinessForm from "../Components/Forms/RegisterBusinessForm";
+import useGet from "../Components/Hooks/useGet";
+import { useNavigate } from "react-router-dom";
+
+const NoBusinessRegisteredError = (props) => {
+    const [show, setShow] = useState(false);
+    const [changed, setChanged] = useState(0);
+    const userId = localStorage.getItem("userId")
+    const [registered, setRegistered] = useState(false);
+    let checked = false;
+    const navigator = useNavigate()
+
+    const handleClose = () => setShow(false);
+    const handleShow = (e) => {
+        e.preventDefault();
+        setShow(true);
+    };
+
+
+    return (
+        <>
+            <Navigation></Navigation>
+                <Container>
+                    <Row className="mt-5 mb-3">
+                        <Col>
+                            <h3 style={{ color: "#159895" }}>
+                                Немате доволни привилегии или бараниот ресурс не е достапен!
+                            </h3>
+                        </Col>
+                    </Row>
+                    <Row>
+                        <Col>
+                            <Button
+                                type="button"
+                                href={"/home"}
+                                style={{
+                                    backgroundColor: "#159895",
+                                    border: "2px solid white",
+                                }}
+                                size="lg"
+                            >
+                <span className="ikona my-1" color="white">
+                  <IoBusinessSharp style={{ color: "white" }} />
+                </span>
+                                <span className="ikona mx-3">Кон почетната страница</span>
+                            </Button>
+                        </Col>
+                    </Row>
+                </Container>
+        </>
+    );
+};
+
+export default NoBusinessRegisteredError;
Index: frontend/src/Pages/LoginPage.js
===================================================================
--- frontend/src/Pages/LoginPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/LoginPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,36 @@
+import React from "react";
+import LoginForm from "../Components/Login/LoginForm";
+import { Container } from "react-bootstrap";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import {useAuth} from "../Components/Context/AuthContext";
+import {Navigate} from "react-router-dom";
+
+
+const LoginPage = () => {
+  document.body.style.backgroundColor = "#159895";
+  document.body.style.marginTop = "auto";
+  document.body.style.marginBottom = "auto";
+
+  const Auth = useAuth();
+  const isLoggedIn = Auth.userIsAuthenticated();
+
+    if (isLoggedIn) {
+        return <Navigate to={'/home'}/>
+    }
+
+  return (
+    <>
+      {" "}
+      <Container fluid className="px-0">
+        <Navigation />
+      </Container>
+      <Container className="mt-5">
+        <Container style={{ width: "40%" }}>
+          <LoginForm></LoginForm>
+        </Container>
+      </Container>
+    </>
+  );
+};
+
+export default LoginPage;
Index: frontend/src/Pages/NoBusinessRegisteredError.js
===================================================================
--- frontend/src/Pages/NoBusinessRegisteredError.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/NoBusinessRegisteredError.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,147 @@
+import React, { useEffect } from "react";
+import { useState } from "react";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import { Row, Col, Container, Button, Modal } from "react-bootstrap";
+import { IoBusinessSharp } from "react-icons/io5";
+import RegisterBusinessForm from "../Components/Forms/RegisterBusinessForm";
+import useGet from "../Components/Hooks/useGet";
+import {Navigate, useNavigate} from "react-router-dom";
+import {useAuth} from "../Components/Context/AuthContext";
+
+const NoBusinessRegisteredError = (props) => {
+  const [show, setShow] = useState(false);
+  const [changed, setChanged] = useState(0);
+  const Auth = useAuth();
+  const isLoggedIn = Auth.userIsAuthenticated();
+  const userId = localStorage.getItem("userId")
+  const [registered, setRegistered] = useState(false);
+  let checked = false;
+  const navigator = useNavigate()
+
+  const handleClose = () => setShow(false);
+  const handleShow = (e) => {
+    e.preventDefault();
+    setShow(true);
+  };
+  
+  const { data: firma, isLoading: firmaIsLoading, getData: getFirmi} = useGet("/business/" + userId + "/unapproved", changed)
+  
+
+  useEffect(() => {
+    
+    console.log(firma)
+    setRegistered(() => {
+      return firma !== null && firma.length > 0
+    })
+    
+  }, [firmaIsLoading])
+
+  // useEffect(() => {
+    
+  //   setRegistered(() => {
+  //     console.log(data)
+  //     return data !== null && data
+  //   })
+    
+  // }, [isLoading])
+
+
+  if(!isLoggedIn)
+  {
+    return <Navigate to={'/login'}/>
+  }
+
+  !firmaIsLoading && firma && firma.length > 0 && firma[0].approved && navigator("/resources/hotel")
+  
+
+  return (
+    <>
+      <Navigation></Navigation>
+      {!registered && (
+        <Container>
+          <Row className="mt-5 mb-3">
+            <Col>
+              <h3 style={{ color: "#159895" }}>
+                За да менаџирате со Вашите ресурси мора да имате регистрирано
+                фирма одобрена од администраторот!
+              </h3>
+            </Col>
+          </Row>
+          <Row>
+            <Col>
+              <Button
+                type="button"
+                onClick={handleShow}
+                style={{
+                  backgroundColor: "#159895",
+                  border: "2px solid white",
+                }}
+                size="lg"
+              >
+                <span className="ikona my-1" color="white">
+                  <IoBusinessSharp style={{ color: "white" }} />
+                </span>
+                <span className="ikona mx-3">Регистрирај фирма</span>
+              </Button>
+            </Col>
+          </Row>
+        </Container>
+      )}
+      {registered && (
+        <>
+          <Container>
+            <Row className="mt-5">
+              <Col className="mb-5">
+                <h3 className="mb-5" style={{ color: "#159895" }}>
+                  {" "}
+                  За да менаџирате со Вашите ресурси мора да имате регистрирано
+                  фирма одобрена од администраторот!
+                </h3>
+                <h4 style={{ color: "#159895" }}>
+                  Тековни неодобрени регистрации
+                </h4>
+              </Col>
+            </Row>
+            <Row>
+              <Container className="w-75">
+                <table className="table table-hover">
+                  <thead>
+                    <tr>
+                      <th scope="col">Ред. бр.</th>
+                      <th scope="col">Име на фирма</th>
+                      <th scope="col">Адреса</th>
+                      <th scope="col">Даночен број</th>
+                      <th scope="col">Одговорно лице</th>
+                    </tr>
+                  </thead>
+                  <tbody>
+                    {!firmaIsLoading && firma.map((f, i) => { return <tr key={f.businessId}>
+                      <th scope="row">{i + 1}</th>
+                      <td>{f.name}</td>
+                      <td>{f.address}</td>
+                      <td>{f.edbs}</td>
+                      <td>{f.user.name + " " + f.user.surname}</td>
+                    </tr>})}
+                  </tbody>
+                </table>
+              </Container>
+            </Row>
+          </Container>
+        </>
+      )}
+
+      <Modal show={show} onHide={handleClose}>
+        <Modal.Header closeButton>
+          <Modal.Title style={{ color: "#159895" }}>
+            Регистрација на фирма
+          </Modal.Title>
+        </Modal.Header>
+        <Modal.Body>
+            <RegisterBusinessForm hide={handleClose} edit={setChanged}></RegisterBusinessForm>
+        </Modal.Body>
+      </Modal>
+    </>
+  );
+};
+
+export default NoBusinessRegisteredError;
Index: frontend/src/Pages/ProfilePage.js
===================================================================
--- frontend/src/Pages/ProfilePage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/ProfilePage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,84 @@
+import React from "react";
+import { useState } from "react";
+import { Col, Container, Row, Image, Button, Modal } from "react-bootstrap";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import { MdBusinessCenter } from "react-icons/md";
+import DataForm from "../Components/ProfilePage/DataForm";
+import LoginForm from "../Components/Login/LoginForm";
+import ChangePasswordForm from "../Components/Forms/ChangePasswordForm";
+import useGet from "../Components/Hooks/useGet";
+import {useAuth} from "../Components/Context/AuthContext";
+import {Navigate} from "react-router-dom";
+
+const ProfilePage = () => {
+
+    const { data, setData, isLoading, getData } = useGet("/principal");
+
+
+
+    const profileData = {
+        "name": "Марко",
+        "surname": "Марковски",
+        "address": "ул. Раскрсница бр. 10",
+        "dateOfBirth": "2002-01-01",
+        "country": "Македонија",
+        "zip": "1000",
+        "city": "Скопје",
+        "email": "user@mail.com",
+        "mobile": "075/500-000"
+    }
+
+
+
+  return (
+    <>
+      <Navigation />
+    {!isLoading && <Container>
+        <Row className="mb-5">
+          <h2 style={{ color: "#159895", textAlign: "left" }}>Мојот профил</h2>
+        </Row>
+        <Row className="mb-5">
+          <Col>
+            <Row className="d-flex mb-3">
+              <Col className="d-flex justify-content-center" style={{maxWidth: "30%"}}>
+                <Image
+                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                  style={{
+                    height: "5em",
+                    borderRadius: "50%",
+                    maxWidth: "100%",
+                  }}
+                  className="m-auto"
+                ></Image>
+              </Col>
+              <Col className="d-flex justify-content-center">
+                <Container className="pt-2" style={{ textAlign: "left" }}>
+                  <h4>{data.name + " " + data.surname}</h4>
+                  <h5>{data.email}</h5>
+                </Container>
+              </Col>
+            </Row>
+          </Col>
+          <Col style={{textAlign: "right"}}>
+            <Button
+              type="button"
+              style={{ backgroundColor: "#159895", border: "2px solid white" }}
+              size="lg"
+              href="/resources"
+            >
+              <span className="ikona my-1" color="white">
+                <MdBusinessCenter style={{ color: "white" }} />
+              </span>
+              <span className="ikona mx-3">Мои ресурси</span>
+            </Button>
+          </Col>
+        </Row>
+        <Row className="mb-5">
+            {!isLoading && <DataForm data={data}></DataForm>}
+        </Row>
+      </Container>}
+    </>
+  );
+};
+
+export default ProfilePage;
Index: frontend/src/Pages/ProfilesManagementPage.js
===================================================================
--- frontend/src/Pages/ProfilesManagementPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/ProfilesManagementPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,47 @@
+import React from "react";
+import {Container, Col, Row, Image, Tabs, Tab} from "react-bootstrap";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import ResourcesTab from "../Components/Resources/ResourcesTab";
+import {useState} from "react";
+import useGet from "../Components/Hooks/useGet";
+import {useAuth} from "../Components/Context/AuthContext";
+import {Navigate} from "react-router-dom";
+import {FaCheckCircle} from "react-icons/fa";
+import UnapprovedBusinessesTable from "../Components/AdminPanel/UnapprovedBusinessesTable";
+import UnapprovedProfilesTable from "../Components/AdminPanel/UnapprovedProfilesTable";
+import AllProfilesTable from "../Components/AdminPanel/AllProfilesTable";
+
+const ProfilesManagementPage = (props) => {
+
+    console.log(props.tab)
+
+
+    return (
+        <>
+            <Navigation/>
+            <Container>
+                <Row className="mb-5">
+                    <h2 style={{color: "#159895", textAlign: "left"}}>Менаџмент со профили</h2>
+                </Row>
+            </Container>
+            <Container>
+                <Tabs
+                    defaultActiveKey="home"
+                    id="uncontrolled-tab-example"
+                    className="mb-3"
+                >
+                    <Tab eventKey="home" title="Неодобрени регистрации за фирма">
+                        <UnapprovedBusinessesTable/>
+                    </Tab>
+                    <Tab eventKey="profile" title="Неверифицирани профили">
+                        <UnapprovedProfilesTable/>
+                    </Tab>
+                    <Tab eventKey="contact" title="Сите профили">
+                        <AllProfilesTable/>
+                    </Tab>
+                </Tabs>
+            </Container>
+        </>)
+}
+
+export default ProfilesManagementPage;
Index: frontend/src/Pages/RegistrationPage.js
===================================================================
--- frontend/src/Pages/RegistrationPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/RegistrationPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,26 @@
+import React from "react";
+import LoginForm from "../Components/Login/LoginForm";
+import { Container } from "react-bootstrap";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import RegistrationForm from "../Components/Registration/RegistrationForm";
+
+const RegistrationPage = () => {
+  document.body.style.backgroundColor = "#159895";
+  document.body.style.marginTop = "auto";
+  document.body.style.marginBottom = "auto";
+  return (
+    <>
+      {" "}
+      <Container fluid className="px-0">
+        <Navigation />
+      </Container>
+      <Container className="mt-5">
+        <Container style={{ width: "70%" }}>
+          <RegistrationForm></RegistrationForm>
+        </Container>
+      </Container>
+    </>
+  );
+};
+
+export default RegistrationPage;
Index: frontend/src/Pages/ResourcesPage.js
===================================================================
--- frontend/src/Pages/ResourcesPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/ResourcesPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,56 @@
+import React from "react";
+import {Container, Col, Row, Image} from "react-bootstrap";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import ResourcesTab from "../Components/Resources/ResourcesTab";
+import {useState} from "react";
+import useGet from "../Components/Hooks/useGet";
+import {useAuth} from "../Components/Context/AuthContext";
+import {Navigate} from "react-router-dom";
+
+const ResourcesPage = (props) => {
+
+    const Auth = useAuth();
+    const user = Auth.getUser();
+
+    return (
+        <>
+            <Navigation/>
+            {<Container>
+                <Row className="mb-5">
+                    <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
+                </Row>
+                <Row className="mb-5">
+                    <Col>
+                        <Row className="d-flex mb-3">
+                            <Col
+                                className="d-flex justify-content-center"
+                                style={{maxWidth: "30%"}}
+                            >
+                                <Image
+                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                                    style={{
+                                        height: "5em",
+                                        borderRadius: "50%",
+                                        maxWidth: "100%",
+                                    }}
+                                    className="m-auto"
+                                ></Image>
+                            </Col>
+                            <Col className="d-flex justify-content-center">
+                                <Container className="pt-2" style={{textAlign: "left"}}>
+                                    <h4>{user.name + " " + user.surname}</h4>
+                                    <h5>{user.username}</h5>
+                                </Container>
+                            </Col>
+                        </Row>
+                    </Col>
+                </Row>
+                <Row>
+                    <ResourcesTab tab={props.tab}></ResourcesTab>
+                </Row>
+            </Container>}
+        </>
+    );
+};
+
+export default ResourcesPage;
Index: frontend/src/Pages/RestaurantDetailsPage.js
===================================================================
--- frontend/src/Pages/RestaurantDetailsPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/RestaurantDetailsPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,179 @@
+import React from "react";
+import LoginForm from "../Components/Login/LoginForm";
+import {Container, Row, Col, Form} from "react-bootstrap";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import Carousel from "react-bootstrap/Carousel";
+import {useState} from "react";
+import DescriptionContainer from "../Components/HotelDetails/DescriptionContainer";
+import ReviewsCarousel from "../Components/HotelDetails/ReviewsCarousel";
+import RoomsTable from "../Components/HotelDetails/RoomsTable";
+import ContactBar from "../Components/HotelDetails/ContactBar";
+import Menu from "../Components/RestaurantDetails/Menu";
+import MenuCarousel from "../Components/RestaurantDetails/Carousel";
+import {useLocation} from "react-router-dom";
+import TablesTable from "../Components/RestaurantDetails/TablesTable";
+
+const RestaurantDetailsPage = (props) => {
+    document.body.style.backgroundColor = "white";
+
+    const [index, setIndex] = useState(0);
+    const location = useLocation();
+    const {data, params: formData} = location.state;
+
+    const handleSelect = (selectedIndex) => {
+        setIndex(selectedIndex);
+    };
+
+    return (
+        <>
+            <Navigation/>
+            <Container className="my-3">
+                <Row className="d-flex justify-content-between">
+                    <Col style={{textAlign: "left"}}>
+                        <h2 style={{color: "#159895"}}>{data.restaurantName}</h2>
+                    </Col>
+                    <Col>
+                        <Container>
+                            <Row className="mb-4">
+                                <Col style={{textAlign: "right"}}>
+                  <span
+                      style={{
+                          backgroundColor: "#159895",
+                          padding: "0.75em",
+                          fontWeight: "bold",
+                          fontSize: "1.25rem",
+                          borderRadius: "0.75em",
+                          color: "white",
+                      }}
+                  >
+                    {data.averageScore.toFixed(1)}
+                  </span>
+                                </Col>
+                            </Row>
+                        </Container>
+                    </Col>
+                </Row>
+                <Row>
+                    <Col
+                        className="p-3 rounded-4"
+                        sm={3}
+                        style={{backgroundColor: "#002B5B"}}
+                    >
+                        <Row>
+                            <h3 className="mb-5 mt-3" style={{color: "white"}}>Критериуми од пребарувањето</h3>
+                            <Form.Floating className="mb-3">
+                                <Form.Control
+                                    size="md"
+                                    type="text"
+                                    placeholder="Каде ќе патувате?:"
+                                    id="location"
+                                    name={'restaurantLocation'}
+                                    value={formData.restaurantLocation}
+                                ></Form.Control>
+                                <label style={{left: "10px"}} htmlFor="location">Локација:</label>
+                            </Form.Floating>
+                        </Row>
+                        <Row>
+                            <Form.Floating className="mb-3">
+                                <Form.Control
+                                    size="md"
+                                    type="date"
+                                    placeholder="Датум на резервација:"
+                                    id="date"
+                                    name={'date'}
+                                    value={formData.date}
+                                ></Form.Control>
+                                <label style={{left: "10px"}} htmlFor="dateFrom">Датум на резерација:</label>
+                            </Form.Floating>
+                        </Row>
+                        <Row>
+                            <Col>
+                                <Form.Floating className="mb-3">
+                                    <Form.Control
+                                        size="lg"
+                                        type="text"
+                                        placeholder="Место:"
+                                        id="location"
+                                        name={'hourFrom'}
+                                        value={formData.hourFrom}
+                                    ></Form.Control>
+                                    <label style={{left: "10px"}} htmlFor="location">Време од:</label>
+                                </Form.Floating>
+                            </Col>
+                            <Col>
+                                <Form.Floating className="mb-3">
+                                    <Form.Control
+                                        size="lg"
+                                        type="text"
+                                        placeholder="Место:"
+                                        id="location"
+                                        name={'hourTo'}
+                                        value={formData.hourTo}
+                                    ></Form.Control>
+                                    <label style={{left: "10px"}} htmlFor="location">Време до:</label>
+                                </Form.Floating>
+                            </Col>
+                        </Row>
+                        <Row>
+                            <Form.Floating className="mb-3">
+                                <Form.Control
+                                    size="md"
+                                    type="number"
+                                    placeholder="Број на гости:"
+                                    id="floatingPassengers"
+                                    name={'numPeople'}
+                                    value={formData.numPeople}
+                                ></Form.Control>
+                                <label style={{left: "10px"}} htmlFor="floatingPassengers">Број на гости:</label>
+                            </Form.Floating>
+                        </Row>
+                    </Col>
+                    <Col>
+                        <Container>
+                            <Row>
+                                <Carousel activeIndex={index} onSelect={handleSelect}>
+                                    <Carousel.Item>
+                                        <img
+                                            className="d-block w-100 h-400 rounded-5"
+                                            src="https://emagazin.mk/wp-content/uploads/2022/03/Karos_Photography-7795.jpg"
+                                            alt="First slide"
+                                            style={{height: "50vh"}}
+                                        />
+                                    </Carousel.Item>
+                                    <Carousel.Item>
+                                        <img
+                                            className="d-block w-100 rounded-5"
+                                            src="https://emagazin.mk/wp-content/uploads/2022/03/Karos_Photography-7871.jpg"
+                                            alt="Second slide"
+                                            style={{height: "50vh"}}
+                                        />
+                                    </Carousel.Item>
+                                    <Carousel.Item>
+                                        <img
+                                            className="d-block w-100 rounded-5"
+                                            src="https://lh5.googleusercontent.com/p/AF1QipMQAwahuuJCJ2rDUYNrhnwiX1070adTsM6LmzV5=w480-h300-k-n"
+                                            alt="Third slide"
+                                            style={{height: "50vh"}}
+                                        />
+                                    </Carousel.Item>
+                                </Carousel>
+                            </Row>
+                            <Row>
+                                <Container></Container>
+                            </Row>
+                        </Container>
+                    </Col>
+                </Row>
+                <Row className="mb-5">
+                    <Col className="col-md-8"><DescriptionContainer data={data.restaurantDescription} type="restaurant"></DescriptionContainer></Col>
+                    <Col className="col-md-4"><ReviewsCarousel reviews={data.reviews}></ReviewsCarousel></Col>
+                </Row>
+                <Row className="mb-3"><MenuCarousel menu={data.menus}></MenuCarousel></Row>
+                <Row><TablesTable params={formData} data={data.tables}></TablesTable></Row>
+                <Row><ContactBar></ContactBar></Row>
+            </Container>
+        </>
+    );
+};
+
+export default RestaurantDetailsPage;
Index: frontend/src/Pages/RestaurantEditPage.js
===================================================================
--- frontend/src/Pages/RestaurantEditPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/RestaurantEditPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,59 @@
+import React, { useState } from "react";
+import { Container, Col, Row, Image } from "react-bootstrap";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import ResourcesTab from "../Components/Resources/ResourcesTab";
+import HotelEditTab from "../Components/HotelEdit/HotelEditTab";
+import RestaurantEditTab from "../Components/RestaurantEdit/RestaurantEditTab";
+import useGet from "../Components/Hooks/useGet";
+import {Navigate, useParams, useSearchParams} from "react-router-dom";
+import {useAuth} from "../Components/Context/AuthContext";
+
+const RestaurantEditPage = () => {
+
+  const params = useParams();
+  const link = "/restaurant/" + params.restaurantId;
+  //const [changed, setChanged] = useState(0)
+  const { data, setData, isLoading, getData, setChanged } = useGet(link, "");
+
+  return (
+    <>
+      <Navigation />
+      {!isLoading && <Container>
+        <Row className="mb-5">
+          <h2 style={{ color: "#159895", textAlign: "left" }}>Мои ресурси</h2>
+        </Row>
+        <Row className="mb-5">
+          <Col>
+            <Row className="d-flex mb-3">
+              <Col
+                className="d-flex justify-content-center"
+                style={{ maxWidth: "30%" }}
+              >
+                <Image
+                  src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                  style={{
+                    height: "5em",
+                    borderRadius: "50%",
+                    maxWidth: "100%",
+                  }}
+                  className="m-auto"
+                ></Image>
+              </Col>
+              <Col className="d-flex justify-content-center">
+                <Container className="pt-2" style={{ textAlign: "left" }}>
+                  <h4>{data.restaurantName}</h4>
+                  <h5>{data.restaurantLocation}</h5>
+                </Container>
+              </Col>
+            </Row>
+          </Col>
+        </Row>
+        <Row>
+            <RestaurantEditTab refresh={setChanged} displayMenu={data} edit="true"/>
+        </Row>
+      </Container>}
+    </>
+  );
+};
+
+export default RestaurantEditPage;
Index: frontend/src/Pages/SearchPage.js
===================================================================
--- frontend/src/Pages/SearchPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/SearchPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,79 @@
+import React from "react";
+import Navigation from '../Components/Layout/Navbar/Navigation';
+import 'bootstrap/dist/css/bootstrap.css';
+import 'bootstrap/dist/js/bootstrap.js';
+import HomeCarousel from '../Components/Layout/CarouselHome/Carousel';
+import { Card, Container, Nav, Row, Col } from 'react-bootstrap';
+import TabComponent from '../Components/Tab/Tab';
+import Offers from '../Components/Layout/Offers/Offers';
+import MostVisitedBar from '../Components/MostVisited/MostVisitedBar';
+import MostPopularRoutesCont from '../Components/MostPopularRoutes/MostPopularRoutesCont';
+import BecomeAHost from "../Components/BecomeAHost/BecomeAHost"
+import HotelLisitng from "../Components/Listings/HotelListing"
+import SearchCriteriasHotel from "../Components/SearchCriterias/SearchCriteriasHotel";
+import SortButton from "../Components/Listings/SortButton";
+import FilterButton from "../Components/Listings/FilterButton";
+import TransportListing from "../Components/Listings/TransportListing";
+import useGet from "../Components/Hooks/useGet";
+import { useParams } from "react-router-dom";
+import SearchCriteriasBar from "../Components/SearchCriterias/SearchCriteriasBar";
+import RestaurantDetailsPage from "./RestaurantDetailsPage";
+import RestaurantListing from "../Components/Listings/RestaurantListing";
+
+
+const SearchPage = (props) => {
+
+    const params = useParams();
+    console.log(params)
+
+
+    document.body.style.backgroundColor = "white"
+    var hotelData = {
+        "hotelName": "Име на сместувањето",
+        "hotelLocation": "Скопје, Македонија",
+        "hotelCaption": "Краток опис",
+        "hotelDescription": "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation",
+        "hotelPrice": 504.99,
+        "hotelRating": 9.1
+
+    }
+    
+    let link = props.type === "transport" ? `/transport/search?from=${params.from}&to=${params.to}&date=${params.date}&numPassengers=${params.numPassengers}` : props.type === "hotel" ? `/hotel/search?hotelLocation=${params.hotelLocation}&dateFrom=${params.dateFrom}&dateTo=${params.dateTo}&numBeds=${params.numBeds}` : `/restaurant/search?restaurantLocation=${params.restaurantLocation}&date=${params.date}&hourFrom=${params.hourFrom}&hourTo=${params.hourTo}&numPeople=${params.numPeople}`
+    console.log(link)
+    console.log(params.date)
+    const { data, isLoading, getData, setData } = useGet(link);
+    !isLoading && console.log(data)
+    return (
+        <>
+            <Navigation></Navigation>
+            <SearchCriteriasBar type={props.type} criterias={useParams()}></SearchCriteriasBar>
+            <Container className="d-flex justify-content-end gx-5" style={{maxWidth: "60%"}}>
+                <Row>
+                    <Col>
+                        <FilterButton></FilterButton>
+                    </Col>
+                    <Col>
+                        <SortButton></SortButton>
+                    </Col>
+                </Row>
+            </Container>
+            {props.type === "hotel" && !isLoading && data && <Container fluid>
+                {data.map(hotel => {
+                    return <HotelLisitng from={params.dateFrom} to={params.dateTo} data={hotel}/>
+                })}
+                </Container>}
+            {props.type === "transport" && !isLoading && data && <Container fluid>
+                {data.map(transport => {
+                    return <TransportListing params={params} data={transport}/>
+                })}
+            </Container>}
+            {props.type === "restaurant" && !isLoading && data && <Container fluid>
+                {data.map(restaurant => {
+                    return <RestaurantListing params={params} data={restaurant}/>
+                })}
+            </Container>}
+        </>
+    )
+}
+
+export default SearchPage;
Index: frontend/src/Pages/TransportDetailsPage.js
===================================================================
--- frontend/src/Pages/TransportDetailsPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/TransportDetailsPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,207 @@
+import React from "react";
+import LoginForm from "../Components/Login/LoginForm";
+import {Container, Row, Col, Form, Image, Button, Modal} from "react-bootstrap";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import Carousel from "react-bootstrap/Carousel";
+import {useState} from "react";
+import DescriptionContainer from "../Components/HotelDetails/DescriptionContainer";
+import ReviewsCarousel from "../Components/HotelDetails/ReviewsCarousel";
+import RoomsTable from "../Components/HotelDetails/RoomsTable";
+import ContactBar from "../Components/HotelDetails/ContactBar";
+import RouteContainer from "../Components/TransportDetails/RouteContainer";
+import {useLocation, useParams} from "react-router-dom";
+import SearchCriteriasTransport from "../Components/SearchCriterias/SearchCriteriasTransport";
+import SearchCriteriasBar from "../Components/SearchCriterias/SearchCriteriasBar";
+import useCreate from "../Components/Hooks/useCreate";
+
+const TransportDetailsPage = (props) => {
+    document.body.style.backgroundColor = "white";
+    const {createEntity} = useCreate()
+
+    const [index, setIndex] = useState(0);
+    const [getData, setData] = useState(0);
+
+    const location = useLocation();
+    const {data, params} = location.state;
+    const [show, setShow] = useState(false);
+    const handleClose = () => setShow(false);
+    const handleShow = () => setShow(true);
+    const route = data.transportRoutes.filter(x => x.from === params.from && x.to === params.to)[0];
+    const dateFormatter = (str) => {
+        const inputDate = new Date(str);
+
+        const options = {
+            year: 'numeric',
+            month: '2-digit',
+            day: '2-digit',
+            hour12: false,
+            hour: '2-digit',
+            minute: '2-digit'
+        };
+
+        return inputDate.toLocaleString('de-DE', options);
+
+    }
+
+    const handleSelect = (selectedIndex) => {
+        setIndex(selectedIndex);
+    };
+
+    return (
+        <>
+            <Navigation/>
+            <Container className="my-3">
+                <Row>
+                    <span><h2 style={{color: "#159895", textAlign: 'left'}}>Вашето пребарување</h2></span>
+                </Row>
+                <SearchCriteriasBar type={'transport'} showButton={false} criterias={params}></SearchCriteriasBar>
+                <Row className="d-flex justify-content-between">
+                    <Col style={{textAlign: "left"}}>
+                        <span>
+                            <h3 style={{color: "#159895"}}><b>Резултантна рута</b></h3>
+                            <h2 style={{color: "#159895"}}>{data.from} - {data.to}</h2>
+                            <h5 style={{color: "#159895"}}>({data.routes.join(", ")})</h5>
+                        </span>
+                    </Col>
+                    <Col>
+                        <Container>
+                            <Row className="mb-4">
+                                <Col style={{textAlign: "right"}}>
+                  <span
+                      style={{
+                          backgroundColor: "#159895",
+                          padding: "0.75em",
+                          fontWeight: "bold",
+                          fontSize: "1.25rem",
+                          borderRadius: "0.75em",
+                          color: "white",
+                      }}
+                  >
+                    9.1
+                  </span>
+                                </Col>
+                            </Row>
+                        </Container>
+                    </Col>
+                </Row>
+                <Row>
+                    <RouteContainer data={data}></RouteContainer>
+                </Row>
+                <hr></hr>
+                <Row>
+                    <Col>
+                        <h3>Одбрана рута</h3>
+                    </Col>
+                    <Col>
+                        <h3>{params.from + ' - ' + params.to}</h3>
+                    </Col>
+                </Row>
+                <hr></hr>
+                <Row>
+                    <Col>
+                        <h3>Очекувано време на поаѓање</h3>
+                    </Col>
+                    <Col>
+                        <h3>{dateFormatter(route.departure)}</h3>
+                    </Col>
+                </Row>
+                <hr></hr>
+                <Row>
+                    <Col>
+                        <h3>Цена</h3>
+                    </Col>
+                    <Col>
+                        <h3>{data.price}$</h3>
+                    </Col>
+                </Row>
+                <hr></hr>
+                <Row>
+                    <Col className="d-flex flex-column justify-content-center">
+                        <h3>Возач</h3>
+                    </Col>
+                    <Col className="d-flex flex-column justify-content-center">
+                        <Container className="d-flex flex-row justify-content-center mb-3" style={{paddingLeft: "28%"}}>
+                            <Col className="d-flex flex-column justify-content-center" style={{maxWidth: "30%"}}>
+                                <Image
+                                    src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                                    style={{
+                                        height: "4em",
+                                        borderRadius: "50%",
+                                        maxWidth: "100%",
+                                    }}
+                                    className="m-auto"
+                                ></Image>
+                            </Col>
+                            <Col className="d-flex flex-column justify-content-center">
+                                <Container className="pt-2" style={{textAlign: "left"}}>
+                                    <h4>{data.transport.owner.name} {data.transport.owner.surname.substring(0, 1)}.</h4>
+                                </Container>
+                            </Col>
+                        </Container>
+                    </Col>
+                </Row>
+                <hr></hr>
+                <Row>
+                    <Col>
+                        <h3>Возило</h3>
+                    </Col>
+                    <Col>
+                        <h3>{data.transport.carBrand + " " + data.transport.carType}</h3>
+                    </Col>
+                </Row>
+                <hr></hr>
+                <Row>
+                    <Col className="d-flex flex-column justify-content-center">
+                        <h3>Број на патници</h3>
+                    </Col>
+                    <Col md="auto" className="d-flex flex-column justify-content-center">
+                        <Form.Select onChange={(e) => {
+                            setData(e.target.value)
+                        }} aria-label="Default select example">
+                            <option></option>
+                            {[...Array(route.freeSpace).keys()].map(x => {
+                                return (
+                                    <option value={x+1}  >{x + 1}</option>
+                                )
+                            })}
+                        </Form.Select>
+                    </Col>
+                    <Col>
+                        <Button className="m-2" size="lg" style={{backgroundColor: "#159895"}} onClick={handleShow}>Резервирај</Button>
+                    </Col>
+                </Row>
+                <Row><ContactBar></ContactBar></Row>
+            </Container>
+
+            <Modal show={show} size={'lg'} onHide={handleClose}>
+                <Modal.Header closeButton>
+                    <Modal.Title>Потврда на резервација</Modal.Title>
+                </Modal.Header>
+                <Modal.Body>
+                    <h4>Резервација на рута</h4>
+                    <h3>{route.from + ' ' + route.to}</h3>
+                    <h4>Време на поаѓање:<b>{' ' + dateFormatter(route.departure)}</b></h4>
+                    <h4>Време на престигнување:<b>{' ' + dateFormatter(route.arrival)}</b></h4>
+                    <h4>Број на патници:<b>{' ' + getData}</b></h4>
+                </Modal.Body>
+                <Modal.Footer>
+                    <Button variant="secondary" onClick={handleClose}>
+                        Close
+                    </Button>
+                    <Button variant="primary" onClick={() => {
+                        createEntity('transport/reserve', {
+                            transportRouteId: route.routeId,
+                            userId: 1,
+                            numSeats: getData
+                        })
+                        handleClose();
+                    }}>
+                        Резервирај
+                    </Button>
+                </Modal.Footer>
+            </Modal>
+        </>
+    );
+};
+
+export default TransportDetailsPage;
Index: frontend/src/Pages/TransportEditPage.js
===================================================================
--- frontend/src/Pages/TransportEditPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/TransportEditPage.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,65 @@
+import React, {useState} from "react";
+import {Container, Col, Row, Image} from "react-bootstrap";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import ResourcesTab from "../Components/Resources/ResourcesTab";
+import HotelEditTab from "../Components/HotelEdit/HotelEditTab";
+import RestaurantEditTab from "../Components/RestaurantEdit/RestaurantEditTab";
+import TransportEditTab from "../Components/TransportEdit/TransportEditTab";
+import useGet from "../Components/Hooks/useGet";
+import {Navigate, useParams} from "react-router-dom";
+import {useAuth} from "../Components/Context/AuthContext";
+
+const TransportEditPage = () => {
+
+    const params = useParams();
+
+    const link = "/transport/" + params.transportId;
+
+    const {data, setData, isLoading, getData, setChanged} = useGet(link);
+
+    !isLoading && console.log(data)
+
+    return (
+        <>
+            <Navigation/>
+            {!isLoading && (
+                <Container>
+                    <Row className="mb-5">
+                        <h2 style={{color: "#159895", textAlign: "left"}}>Мои ресурси</h2>
+                    </Row>
+                    <Row className="mb-5">
+                        <Col>
+                            <Row className="d-flex mb-3">
+                                <Col
+                                    className="d-flex justify-content-center"
+                                    style={{maxWidth: "30%"}}
+                                >
+                                    <Image
+                                        src="https://t3.ftcdn.net/jpg/05/16/27/58/360_F_516275801_f3Fsp17x6HQK0xQgDQEELoTuERO4SsWV.jpg"
+                                        style={{
+                                            height: "5em",
+                                            borderRadius: "50%",
+                                            maxWidth: "100%",
+                                        }}
+                                        className="m-auto"
+                                    ></Image>
+                                </Col>
+                                <Col className="d-flex justify-content-center">
+                                    <Container className="pt-2" style={{textAlign: "left"}}>
+                                        <h4>{data.transportName}</h4>
+                                        <h5>{data.carBrand + " " + data.carType}</h5>
+                                    </Container>
+                                </Col>
+                            </Row>
+                        </Col>
+                    </Row>
+                    <Row>
+                        {data && <TransportEditTab displayRoute={data} refresh={setChanged}/>}
+                    </Row>
+                </Container>
+            )}
+        </>
+    );
+};
+
+export default TransportEditPage;
Index: frontend/src/Pages/UserReservationsManagement.js
===================================================================
--- frontend/src/Pages/UserReservationsManagement.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Pages/UserReservationsManagement.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
@@ -0,0 +1,34 @@
+import React from "react";
+import {Container, Col, Row, Image, Tabs, Tab} from "react-bootstrap";
+import Navigation from "../Components/Layout/Navbar/Navigation";
+import ResourcesTab from "../Components/Resources/ResourcesTab";
+import {useState} from "react";
+import useGet from "../Components/Hooks/useGet";
+import {useAuth} from "../Components/Context/AuthContext";
+import {Navigate} from "react-router-dom";
+import {FaCheckCircle} from "react-icons/fa";
+import UnapprovedBusinessesTable from "../Components/AdminPanel/UnapprovedBusinessesTable";
+import UnapprovedProfilesTable from "../Components/AdminPanel/UnapprovedProfilesTable";
+import AllProfilesTable from "../Components/AdminPanel/AllProfilesTable";
+import TypeSelectionTab from "../Components/UserPanel/TypeSelectionTab";
+
+const UserReservationsManagement = (props) => {
+
+    console.log(props.tab)
+
+
+    return (
+        <>
+            <Navigation/>
+            <Container>
+                <Row className="mb-5">
+                    <h2 style={{color: "#159895", textAlign: "left"}}>Менаџмент со резервации</h2>
+                </Row>
+            </Container>
+            <Container>
+                <TypeSelectionTab/>
+            </Container>
+        </>)
+}
+
+export default UserReservationsManagement;
